package com.zfire.mall.manager.bean.front;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;
import java.util.Map;

@ApiModel
@Data
public class WorkerOrderInfo {

    @ApiModelProperty("信息编号")
    private String workerOrder;
    @ApiModelProperty("总部信息编号")
    private String pgid;
    @ApiModelProperty("工单状态数值")
    private Integer orderStateInt;
    @ApiModelProperty("工单状态")
    private String orderState;
    @ApiModelProperty("售后服务网点编号")
    private String installNumber;
    @ApiModelProperty("售后服务网点名称")
    private String installName;
    @ApiModelProperty("主要服务人员")
    private String workerName;
    @ApiModelProperty("主要服务人员电话")
    private String workerPhone;
    @ApiModelProperty("主要服务人员电话")
    private String workerNumber;

    @ApiModelProperty("工单接收时间")
    private String orderReceTime;
    @ApiModelProperty("完工时间")
    private String finishTime;
    @ApiModelProperty("工单反馈信息")
    private List<Fkxx> fkxxs;
    @ApiModelProperty("辅材支付信息")
    private List<Fcxx> fcxxs;
    @ApiModelProperty("订单明细")
    private List<OrderDetail> orderDetails;
    @ApiModelProperty("订单号")
    private String orderId;
    @ApiModelProperty("下单时间")
    private Date payTime;
    @ApiModelProperty("辅助人员名称")
    private String assistName;
    @ApiModelProperty("辅助人员编号")
    private String assistNumber;
    @ApiModelProperty("辅助人员电话")
    private String assistPhone;


    @ApiModelProperty("预约时间")
    private String reserveTime;
    @ApiModelProperty("服务内容")
    private String serverContent;
    @ApiModelProperty("支架")
    private String bracket;
    @ApiModelProperty("加长管")
    private String pipe;
    @ApiModelProperty("空气开关")
    private String switchFlag;
    @ApiModelProperty("高空作业")
    private String highAltitude;
    @ApiModelProperty("一次成型墙孔")
    private String hole;
    @ApiModelProperty("服务备注")
    private String remark;

    @ApiModelProperty("销售网点编号")
    private String salesNumber;
    @ApiModelProperty("销售网点名称")
    private String salesWname;

    @ApiModelProperty("用户电话")
    private String userPhone;

    @ApiModelProperty("派工状态:0=待接收,1=待签到,2=待采集,3=已采集,4=已完工,5=改约中,6=改派中")
    private Integer appointState;

    @ApiModelProperty("信息员名称")
    private String adminOfficerName;

    @ApiModelProperty("信息员编号")
    private String adminOfficerNumber;

    @ApiModelProperty("信息员编号")
    private String afterWname;

    @ApiModelProperty("信息员编号")
    private String afterNumber;

    @ApiModelProperty("信息员编号")
    private String afterTime;

    @ApiModelProperty("创建人")
    private String createWname;

    @ApiModelProperty("创建编号")
    private String createNumber;

    @ApiModelProperty("创建时间")
    private String createtime;

    @ApiModelProperty("总机器数量")
    private Integer machineNum;

    @ApiModelProperty("未完成数量")
    private Integer needNum;

    @ApiModel
    @Data
    public static class Fkxx{
        @ApiModelProperty("主键")
        private Integer id;
        @ApiModelProperty("操作类型")
        private String operatorType;
        @ApiModelProperty("操作内容")
        private String operatorContent;
        @ApiModelProperty("最后操作时间")
        private String lastOperatorTime;
        @ApiModelProperty("操作人")
        private String operatorName;
        @ApiModelProperty("操作网点")
        private String operatorWebsit;
        @ApiModelProperty("反馈结果")
        private String result;
        @ApiModelProperty("附件")
        private String files;
    }

    @ApiModel
    @Data
    public static class Fcxx{
        @ApiModelProperty("id")
        private Integer id;
        @ApiModelProperty("费用单号")
        private String orderNo;
        @ApiModelProperty("操作网点")
        private String operatorWebsit;
        @ApiModelProperty("操作人")
        private String operatorName;
        @ApiModelProperty("支付状态")
        private String payStatus;
        @ApiModelProperty("支付时间")
        private String payTime;
        @ApiModelProperty("金额")
        private String amount;
        @ApiModelProperty("备注")
        private String remark;
        @ApiModelProperty("详情")
        private List<Map<String,Object>> details;
    }


    @ApiModel
    @Data
    public static class OrderDetail{
        @ApiModelProperty("id")
        private Integer id;
        @ApiModelProperty("内机")
        private String insideCode;
        @ApiModelProperty("内机2")
        private String insideCode2;
        @ApiModelProperty("外机")
        private String outCode;

        @ApiModelProperty("外机")
        private String pname;

    }

}
