package com.zfire.mall.manager.commonmapper;

import com.baomidou.mybatisplus.annotation.SqlParser;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zfire.mall.manager.bean.k3.K3ReceiptBean;
import com.zfire.mall.manager.plus.entity.KingDeeMaterial;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface K3Mapper {


    /**
     * 查询零售单的执行明细
     */
    @SqlParser(filter = true)
    public IPage<K3ReceiptBean> queryReceiptBill(
            IPage page,
            @Param("billType") String billType,
            @Param("billNo") String billNo,
            @Param("wlCompanyType") String wlCompanyType,
            @Param("customerName") String customerName,
            @Param("settleType") String settleType,
            @Param("startTime") String startTime,
            @Param("endTime") String endTime,
            @Param("customerId") String customerId
    );


    /**
     * 查询物料的所有单位
     */
    @SqlParser(filter = true)
    public List<KingDeeMaterial> queryMaterialUnit();

    /**
     * 同步更新价格表的物料名称
     */
    @SqlParser(filter = true)
    public void updateProductBillItem(@Param("materialIds") List<String> materialIds);

    /**
     * 同步更新价格表的物料名称
     */
    @SqlParser(filter = true)
    public void updateProductPrice(@Param("materialIds") List<String> materialIds);

}
