package com.zfire.mall.manager.commonmapper.wallet;

import com.baomidou.mybatisplus.annotation.SqlParser;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zfire.mall.manager.bean.wallet.CustomerWalletBean;
import com.zfire.mall.manager.bean.wallet.RebateWalletSaleBean;
import com.zfire.mall.manager.plus.entity.CustomerWallet;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;
import java.util.Map;

public interface WalletCommonMapper {


    @Select("select * from customer_wallet where customer_wallet_id=#{customerWalletId} for update")
    public CustomerWallet getCustomerWalletByIdForUpdate(@Param("customerWalletId") String customerWalletId);
    /**
     * 查询经销商的所有钱包
     */
    @SqlParser(filter = true)
    public IPage<CustomerWalletBean> queryWalletByCustomerId(
            IPage page,
            @Param("customerId") String customerId,
            @Param("type") String type,
            @Param("hasRecord") Boolean hasRecord
    );


    /**
     * 查询经销商的钱包详情
     */
    @SqlParser(filter = true)
    public CustomerWalletBean queryWalletDetailByCustomerId(
            @Param("customerWalletId") String customerWalletId
    );

    /**
     * 重载可用的信用额度
     */
    @SqlParser(filter = true)
    public void reloadCustomerWalletCert(@Param("customerId") String customerId);

    /**
     * 财务汇总
     */
    public List<Map<String,Object>> queryTotalAmount();

    /**
     * 经销商的余额汇总
     */
    public List<Map<String,Object>> queryCustomerTotalAmount(@Param("customerNumber") String customerNumber,
                                                             @Param("customerName") String customerName);


    @SqlParser(filter = true)
    public IPage<RebateWalletSaleBean> queryRebateWalletSaleTypeList(IPage page,
                                                                     @Param("name") String name,
                                                                     @Param("saleTypeCode") String saleTypeCode,
                                                                     @Param("saleTypeName") String saleTypeName,
                                                                     @Param("status") Boolean status);


    /**
     * 初始化钱包
     */
    @SqlParser(filter = true)
    public void initCustomerWallet(@Param("customerId") String customerId);




}
