package com.zfire.mall.manager.logic.k3;

import com.zfire.mall.manager.bean.k3.RequestApiBean;
import com.zfire.mall.manager.constant.KingDeeCons;
import com.zfire.mall.manager.plus.entity.KingDeeCategory;
import com.zfire.mall.manager.plus.service.KingDeeCategoryService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;
import java.util.stream.Collectors;

@Service
@Slf4j
public class K3CategoryLogic {

    @Resource
    KingDeeCategoryService kingDeeCategoryService;
    @Resource
    K3Logic k3Logic;

    @Transactional
    public void allSync(String orgId, String orgNumber, String startTime, String endTime) throws Exception {
        // 调用存货类别接口
        RequestApiBean request = k3Logic.getInstance(orgId, orgNumber, KingDeeCons.CATEGORY_INFO, startTime, endTime);
        String filterStr = "FDocumentStatus = 'C' AND FUseOrgId.FNUMBER = %s "+ k3Logic.supplySql(request.getStartTime(), request.getEndTime());
        request.setFieldKeys("FCATEGORYID,FNUMBER,FNAME,FUseOrgId,FUseOrgId.FNUMBER,FUseOrgId.FName");
        //request.setFieldKeys("FNUMBER,FNUMBER,FNAME,FUseOrgId,FUseOrgId.FNUMBER,FUseOrgId.FName");
        request.setFilterString(String.format(filterStr, orgNumber));

        String[] fields = new String[]{"id","number","name","useOrgId","useOrgNumber","useOrgName"};
        List<KingDeeCategory> objects = k3Logic.allSync(request, fields, KingDeeCategory.class);
        if (!org.springframework.util.CollectionUtils.isEmpty(objects)) {

            List<String> numbers = objects.stream().map(KingDeeCategory::getNumber).collect(Collectors.toList());
            kingDeeCategoryService.lambdaUpdate().in(KingDeeCategory::getNumber,numbers).remove();

            kingDeeCategoryService.saveOrUpdateBatch(objects);
        }
    }
}
