package com.zfire.mall.manager.logic.k3;

import com.zfire.mall.manager.bean.k3.RequestApiBean;
import com.zfire.mall.manager.constant.KingDeeCons;
import com.zfire.mall.manager.logic.wallet.WalletLogic;
import com.zfire.mall.manager.plus.entity.KingDeeCustomer;
import com.zfire.mall.manager.plus.service.KingDeeCustomerService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Slf4j
@Service
public class K3CustomerLogic {


    @Autowired
    KingDeeCustomerService kingDeeCustomerService;
    @Autowired
    K3Logic k3Logic;
    @Autowired
    WalletLogic walletLogic;

    @Transactional(propagation = Propagation.REQUIRES_NEW)
    public void allSync(String orgId, String orgNumber, String startTime, String endTime) throws Exception {
        //String filterStr = "FDocumentStatus = 'C' AND FApproveDate > '%s' AND FApproveDate <= '%s'";

        // 登录成功调客户接口
        RequestApiBean request = k3Logic.getInstance(orgId, orgNumber, KingDeeCons.CUSTOMER_INFO, startTime, endTime);
        String filterStr = "FDocumentStatus = 'C' AND FUseOrgId.FNUMBER = %s " + k3Logic.supplySql(request.getStartTime(), request.getEndTime());
        request.setFieldKeys("FCUSTID,FNUMBER,FNAME,FUseOrgId,FUseOrgId.FNUMBER,FUseOrgId.FName,FTEL,FSALDEPTID.FNumber,FSALDEPTID.FName," +
                "FINVOICETITLE,FTAXREGISTERCODE,FINVOICEBANKNAME,FINVOICEBANKACCOUNT,FINVOICETEL,FINVOICEADDRESS,FEMail,FPROVINCE,FCITY,FPROVINCIAL,F_kls_Text");
//        request.setFieldKeys("FNUMBER,FNUMBER,FNAME,FUseOrgId,FUseOrgId.FNUMBER,FUseOrgId.FName,FTEL,FSALDEPTID.FNumber,FSALDEPTID.FName," +
//                "FINVOICETITLE,FTAXREGISTERCODE,FINVOICEBANKNAME,FINVOICEBANKACCOUNT,FINVOICETEL,FINVOICEADDRESS,FEMail,FPROVINCE,FCITY,FPROVINCIAL,F_kls_Text");
        request.setFilterString(String.format(filterStr, orgNumber));
        request.setOrderString("FCUSTID ASC");


        String[] fields = new String[]{"id","number","name","useOrgId","useOrgNumber","useOrgName","mobile","saleDeptNumber","saleDeptName",
        "invoiceTitle","taxNo","bank","bankAccount","invoicePhone","invoiceAddress","email","province","city","region","secondCustomerNumber"};
        List<KingDeeCustomer> objects = k3Logic.allSync(request, fields, KingDeeCustomer.class);
        if (!org.springframework.util.CollectionUtils.isEmpty(objects)) {
            kingDeeCustomerService.saveOrUpdateBatch(objects);

//            //初始化钱包
//            for(KingDeeCustomer kingDeeCustomer :objects){
//                    walletLogic.initByK3Customer(kingDeeCustomer.getId());
//            }
            walletLogic.initByK3Customer(null);

        }
    }

    public List<KingDeeCustomer> allList(){
        return kingDeeCustomerService.list();
    }

}
