package com.zfire.mall.manager.logic.k3;

import com.zfire.mall.manager.bean.k3.RequestApiBean;
import com.zfire.mall.manager.constant.KingDeeCons;
import com.zfire.mall.manager.plus.entity.KingDeeStock;
import com.zfire.mall.manager.plus.service.*;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.util.CollectionUtils;

import javax.annotation.Resource;
import java.util.List;

@Service
@Slf4j
public class K3StockLogic {

    @Resource
    KingDeeStockService kingDeeStockService;
    @Resource
    K3Logic k3Logic;
    @Autowired
    StockReserveService stockReserveService;
    @Autowired
    StockTollService stockTollService;
    @Autowired
    StockCorrespondService stockCorrespondService;
    @Autowired
    InvoiceApplicationService invoiceApplicationService;
    @Autowired
    StockCorrespondPositionService stockCorrespondPositionService;

    public void allSync(String orgId, String orgNumber, String startTime, String endTime) throws Exception {
        // 调用仓库接口
        RequestApiBean request = k3Logic.getInstance(orgId, orgNumber, KingDeeCons.STOCK_INFO, startTime, endTime);
        String filterStr = "FDocumentStatus = 'C' AND FUseOrgId.FNUMBER = %s "+ k3Logic.supplySql("FAuditDate", startTime, endTime);
        request.setFieldKeys("FStockId,FNUMBER,FNAME,FUseOrgId.FNUMBER,FUseOrgId.FName,FPrincipal.FName,FStockProperty,FThirdStockType,FDocumentStatus,FAllowMinusQty,FIsOpenLocation,FNotExpQty,FAvailableAlert," +
                "FCreateOrgId.FName,FSupplierId.FName,FCustomerId.FName,FAddress,FTel,FDescription,FGroup.FName,FIsGYStock,FGYStockNumber,FTHIRDSTOCKNO,FStockStatusType," +
                "FDefStockStatusId.FName,FDefReceiveStatusId.FName,FAllowMRPPlan,FAllowLock,FAvailablePicking,FSortingPriority,FLocListFormatter");
        request.setFilterString(String.format(filterStr, orgNumber));
        request.setOrderString("FStockId ASC");

        String[] fields = new String[]{"id","number","name","useOrgNumber","useOrgName","principalName","stockProperty","thirdStockType","documentStatus","allowMinusQty","openLocation","notExpQty","availableAlert",
        "createOrgName","supplierName","customerName","address","tel","description","groupName","gysStock","gysStockNumber","thirdStockNo","stockStatusType",
        "defStockStatusName","defReceiveStatusName","allowMrpPlan","allowLock","availablePicking","sortingPriority","loclistFormatter"};
        List<KingDeeStock> objects = k3Logic.allSync(request, fields, KingDeeStock.class);
        if (!CollectionUtils.isEmpty(objects)) {
            kingDeeStockService.saveOrUpdateBatch(objects);
        }
    }
}
