package com.zfire.mall.manager.logic.k3;


import com.baomidou.mybatisplus.core.toolkit.CollectionUtils;
import com.zfire.mall.manager.bean.k3.RequestApiBean;
import com.zfire.mall.manager.constant.KingDeeCons;
import com.zfire.mall.manager.plus.entity.KingDeeSupplier;
import com.zfire.mall.manager.plus.service.KingDeeSupplierService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
@Slf4j
public class K3SupplierLogic {

    @Autowired
    KingDeeSupplierService kingDeeSupplierService;

    @Autowired
    K3Logic k3Logic;

    public void allSync(String orgId, String orgNumber, String startTime, String endTime) throws Exception {
        // 调用供应商接口
        RequestApiBean request = k3Logic.getInstance(orgId, orgNumber, KingDeeCons.SUPPLIER_INFO, startTime, endTime);
        String filterStr = "FDocumentStatus = 'C' AND FUseOrgId.FNUMBER = %s "+ k3Logic.supplySql("FAuditDate", request.getStartTime(), request.getEndTime());
        request.setFieldKeys("FSupplierId,FNumber,FName,FUseOrgId,FUseOrgId.FNumber,FUseOrgId.FName,FShortName,FGroup.FNumber,FGroup.FName,FAuditorId.FName,FCreateOrgId.FName,FRegNumber,FCountry,FProvincial," +
                "FAddress,FZip,FLanguage,FWebSite,FTrade,FFoundDate,FLegalPerson,FRegisterFund,FRegisterCode,FTendPermit,FSOCIALCRECODE,FRegisterAddress,FDeptId.FName,FStaffId.FName,"+
                "FSupplierClassify,FSupplyClassify,FSupplierGrade,FCompanyClassify,FCompanyNature,FCompanyScale,FCorrespondOrgId.FName");
//        request.setFieldKeys("FNumber,FNumber,FName,FUseOrgId,FUseOrgId.FNumber,FUseOrgId.FName,FShortName,FGroup.FNumber,FGroup.FName,FAuditorId.FName,FCreateOrgId.FName,FRegNumber,FCountry,FProvincial," +
//                "FAddress,FZip,FLanguage,FWebSite,FTrade,FFoundDate,FLegalPerson,FRegisterFund,FRegisterCode,FTendPermit,FSOCIALCRECODE,FRegisterAddress,FDeptId.FName,FStaffId.FName,"+
//                "FSupplierClassify,FSupplyClassify,FSupplierGrade,FCompanyClassify,FCompanyNature,FCompanyScale,FCorrespondOrgId.FName");
        request.setFilterString(String.format(filterStr, orgNumber));
        request.setOrderString("FSupplierId ASC");

        String[] fields = new String[]{"id", "number", "name", "useOrgId", "useOrgNumber", "useOrgName", "shortName", "groupNumber", "groupName", "auditName", "createOrgName", "regNumber", "country", "provincial",
               "address", "zip", "language", "webSite", "trade", "foundDate", "legalPerson", "registerFund", "registerCode", "tendPermit","socialCreCode", "registerAddress","deptName", "staffName",
               "supplierClassify","supplyClassify", "supplierGrade", "companyClassify", "companyNature", "companyScale", "correspondOrgName"};
        List<KingDeeSupplier> objects = k3Logic.allSync(request, fields, KingDeeSupplier.class);
        if (CollectionUtils.isNotEmpty(objects)) {
            kingDeeSupplierService.saveOrUpdateBatch(objects);
        }
    }

}
