package com.zfire.mall.manager.schedule;

import com.zfire.mall.manager.logic.k3.*;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

import java.text.SimpleDateFormat;
import java.util.Date;


/**
 * 钱包充值同步
 */
@Component
@Slf4j
public class K3Schedule {

//    @Autowired
//    K3WalletLogic k3WalletLogic;
    @Autowired
    K3CategoryLogic k3CategoryLogic;
    @Autowired
    K3CustomerLogic k3CustomerLogic;
    @Autowired
    K3DepartmentLogic k3DepartmentLogic;
    @Autowired
    K3MaterialLogic k3MaterialLogic;
    @Autowired
    K3OrgLogic k3OrgLogic;
    @Autowired
    K3PurchaseOrderLogic k3PurchaseOrderLogic;
    @Autowired
    K3PurchaseStockInLogic k3PurchaseStockInLogic;
    @Autowired
    K3SupplierLogic k3SupplierLogic;
    @Autowired
    K3TransferLogic k3TransferLogic;
    @Autowired
    K3WalletLogic k3WalletLogic;
    @Autowired
    K3ReceiptLogic k3ReceiptLogic;

    @Autowired
    K3StockLogic stockLogic;

    final static String orgId = "1";
    final static String orgNum = "100";

    /**
     * 同步基础资料
     * @throws Exception
     */
    @Scheduled(fixedDelay = 30 * 1000)
    public void task() throws Exception {
        k3CategoryLogic.allSync(orgId,orgNum,null,null);
        k3DepartmentLogic.allSync(orgId,orgNum,null,null);
        k3MaterialLogic.allSync(orgId,orgNum,null,null);
        k3OrgLogic.allSync();
        k3PurchaseOrderLogic.allSync(orgId,orgNum,null,null);
        stockLogic.allSync(orgId, orgNum, null,null);
        k3SupplierLogic.allSync(orgId,orgNum,null,null);

    }


    /**
     * 同步钱包并同步收款单
     * @throws Exception
     */
    @Scheduled(fixedDelay = 5 * 1000)
    public void taskWallet() throws Exception {
        log.info("【同步客户/钱包/收款单退款单开始】"+new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(new Date()));
        k3CustomerLogic.allSync(orgId,orgNum,null,null);
        k3WalletLogic.allSync(orgId,orgNum,null,null);
        k3ReceiptLogic.syncSkdD(orgId,orgNum,null,null);
        k3ReceiptLogic.syncSkdC(orgId,orgNum,null,null);
        k3ReceiptLogic.syncTkdD(orgId,orgNum,null,null);
        k3ReceiptLogic.syncTkdC(orgId,orgNum,null,null);
        k3ReceiptLogic.syncFkdD(orgId,orgNum,null,null);
        k3ReceiptLogic.syncFkdC(orgId,orgNum,null,null);
        log.info("【同步客户/钱包/收款单退款单结束】"+new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(new Date()));
    }

}
