package com.zfire.mall.manager.schedule;

import com.zfire.mall.manager.plus.entity.TakerRecord;
import com.zfire.mall.manager.plus.service.TakerRecordService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.PostConstruct;
import javax.annotation.Resource;
import java.time.LocalDate;

//@Component
@Slf4j
public class TakerRecordSchedule {

    @Resource
    TakerRecordService takerRecordService;

    @Transactional
    @Scheduled(cron = "0 0 0 * * ?")
    @PostConstruct
    public void task() throws Exception {
        // 少于不当前系统日期的设为无效
        takerRecordService.lambdaUpdate()
                .set(TakerRecord::getFlag, 0)
                .eq(TakerRecord::getFlag, 1)
                .lt(TakerRecord::getExpireTime, LocalDate.now())
                .update();
    }
}
