package com.zfire.mall.manager.schedule;

import com.zfire.mall.manager.plus.entity.Policy;
import com.zfire.mall.manager.plus.service.PolicyService;
import com.zfire.mall.manager.plus.service.ProductPriceService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import java.util.Date;

/**
 * 更新状态，不在时间范围内的统统失效,
 *  时间范围字段一定要加索引，update语句没走索引会锁表
 */
@Component
@Slf4j
public class UpdateStatusSchedule {

    @Autowired
    PolicyService policyService;
    @Autowired
    ProductPriceService productPriceService;

    @Scheduled(fixedDelay = 10 * 1000)
    public void task(){
        //销售政策的
        policyService.lambdaUpdate()
                .set(Policy::getStatus,false)
                .and(v -> v.le(Policy::getEndTime,new Date()))
                .eq(Policy::getStatus,true)
                .update();
    }

}
